# Uses of Class
org.eclipse.jdt.core.dom.OpensDirective

Packages that use OpensDirective
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of OpensDirective in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return OpensDirective
Modifier and Type
Method
Description
`OpensDirective`
AST.`newOpensDirective()`
Creates and returns a new unparented opens directive node for an unspecified, but legal, name; no target modules
Methods in org.eclipse.jdt.core.dom with parameters of type OpensDirective
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(OpensDirective node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(OpensDirective node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(OpensDirective node)`
Visits the given type-specific AST node.